{ config, pkgs, lib, ... }:

{
  imports =
    [
      ../../base.nix
      ../../common/metrics-exporters.nix
      ./hardware-configuration.nix
      ./desktop.nix
  ];

  networking = {
    hostName = "sisko";
    defaultGateway = "192.168.10.1";
    interfaces.ens18.ipv4 = {
      addresses = [
        { address = "192.168.10.172"; prefixLength = 24; }
      ];
    };
    hostId = "b716d781";
  };

  sops.defaultSopsFile = ../../secrets/sisko/sisko.yaml;

  environment.variables = { EDITOR = "vim"; };

  system.stateVersion = "24.11";
}

